extends Area3D

@export var heal_amount : int


func _ready():
	body_entered.connect(_on_body_entered)

func _on_body_entered(body: Node3D) -> void:
	if body.name == "Player":
		body.change_health(heal_amount)
		print("Player picked up heal!")
		queue_free()
